package cz.muni.fi.pv162.compilation;

/**
 * User: Ľuboš Pecho
 * Date: 10.12.2009
 * Time: 11:23:51
 */
public class Calculator {

    private Double number1;

    private Double number2;

    private OperationType operationType;

    public double getResult(){
        if(operationType == null || number1 == null || number2 == null){
            throw new IllegalStateException("all attributes must be set");
        }
        switch(operationType){
            case ADD:return MathOperation.add(number1, number2);
            case MULTIPLY:return MathOperation.multiply(number1, number2);
        }
        return 0;
    }

    public double getNumber1() {
        return number1;
    }

    public void setNumber1(double number1) {
        this.number1 = number1;
    }

    public double getNumber2() {
        return number2;
    }

    public void setNumber2(double number2) {
        this.number2 = number2;
    }

    public OperationType getOperationType() {
        return operationType;
    }

    public void setOperationType(OperationType operationType) {
        this.operationType = operationType;
    }
}
